---
title: "Historical contract: Find Event Rule"
description: "Historical Ordering.co API contract for GET /event_rules/{event_rule_id}, kept for reference. Use the current API reference for new integrations."
canonical: https://docs.ordering.co/api-reference/guides/history/find-event-rule/
---

# Historical contract: Find Event Rule

[]()

> **Historical API contract.** This page describes an earlier API contract. Methods, paths, and responses may differ from the current API.

## Historical meaning

Find Event Rule

This API endpoint is used to find an event rule

## Current API

For new integrations, use the linked current API reference or guide.

[View the current API reference](https://docs.ordering.co/api-reference/#tag/event_rules/GET/event_rules/%7Bevent_rule_id%7D)

## Parameters

```json
[
  {
    "name": "language",
    "in": "path",
    "schema": {
      "type": "string",
      "default": "en"
    },
    "required": true
  },
  {
    "name": "project",
    "in": "path",
    "schema": {
      "type": "string",
      "default": "<redacted-personal>"
    },
    "required": true
  },
  {
    "name": "api_version",
    "in": "path",
    "schema": {
      "type": "string",
      "default": "v400"
    },
    "required": true
  },
  {
    "name": "params",
    "in": "query",
    "schema": {
      "type": "string"
    }
  },
  {
    "name": "event_rule_id",
    "in": "path",
    "schema": {
      "type": "string"
    },
    "required": true
  }
]
```

## Request body

```json
null
```

## Responses

```json
{
  "200": {
    "description": "200",
    "content": {
      "application/json": {
        "examples": {
          "Result": {
            "value": "{\n  \"error\": false,\n  \"result\": {\n    \"id\": 3,\n    \"name\": \"<redacted-personal>\",\n    \"description\": \"This is a test\",\n    \"times\": [\n      60\n    ],\n    \"date\": null,\n    \"enabled\": false,\n    \"launch_type\": \"times\",\n    \"type\": \"abandoned_cart\"\n  }\n}"
          }
        },
        "schema": {
          "type": "object",
          "properties": {
            "error": {
              "type": "boolean",
              "example": false,
              "default": true
            },
            "result": {
              "type": "object",
              "properties": {
                "id": {
                  "type": "integer",
                  "example": 3,
                  "default": 0
                },
                "name": {
                  "type": "string",
                  "example": "<redacted-personal>"
                },
                "description": {
                  "type": "string",
                  "example": "This is a test"
                },
                "times": {
                  "type": "array",
                  "items": {
                    "type": "integer",
                    "example": 60,
                    "default": 0
                  }
                },
                "date": {},
                "enabled": {
                  "type": "boolean",
                  "example": false,
                  "default": true
                },
                "launch_type": {
                  "type": "string",
                  "example": "times"
                },
                "type": {
                  "type": "string",
                  "example": "abandoned_cart"
                }
              }
            }
          }
        }
      }
    }
  },
  "400": {
    "description": "400",
    "content": {
      "application/json": {
        "examples": {
          "Result": {
            "value": "{}"
          }
        },
        "schema": {
          "type": "object",
          "properties": {}
        }
      }
    }
  }
}
```
